import request from '@/utils/request'

// 查询运动处方字典列表
export function listMotionInfo(query) {
    return request({
        url: '/system/motionInfo/list',
        method: 'get',
        params: query
    })
}

// 查询运动处方字典详细
export function getMotionInfo(id) {
    return request({
        url: '/system/motionInfo/' + id,
        method: 'get'
    })
}

// 新增运动处方字典
export function addMotionInfo(data) {
    return request({
        url: '/system/motionInfo/add',
        method: 'post',
        data: data
    })
}

// 修改运动处方字典
export function updateMotionInfo(data) {
    return request({
        url: '/system/motionInfo/edit',
        method: 'post',
        data: data
    })
}

// 删除运动处方字典
export function delMotionInfo(id) {
    return request({
        url: '/system/motionInfo' + id,
        method: 'delete'
    })
}
